<template>
		<slot></slot>
</template>
<style scoped>
</style>
<script>
	export default {
		props: {},
		data() {
			return {
			};
		},
		watch: {},
		lifetimes: {
		    attached: function() {
				console.log("lifetimes attached");
		    },
		    detached: function() {
				console.log("lifetimes detached");
		    },
		  },
		pageLifetime: {
			show: function() {
				console.log("pageLifetime show");
			},
			hide: function() {
				console.log("pageLifetime hide");
			},
			attached: function() {
				console.log("pageLifetime attached");
			},
			detached: function() {
				console.log("pageLifetime detached");
			},
		},
		ready() {
			console.log("ready");
		},
		mounted() {
			console.log("mounted"); 
		},
		activated() {
			console.log("activated");
		},
		show() {
			console.log("show");
		},
		detached() {
			console.log("detached");
		},
		deactivated() {
			console.log("deactivated");
		},
		unmounted() {
			console.log("unmounted");
		},
		hide() {
			console.log("hide");
		},
		methods: {
			Rander() {
				console.log('rander');
			}
		}
	}
</script>